GroovyMain (groovy 2.4.9 API)
Date: 2017-02-24

Package: groovy.ui

## [Java] Class GroovyMain

- groovy.ui.GroovyMain

- A Command line to execute groovy.

  Version:
    \$Revision\$
  Authors:
    Jeremy Rayner
    Yuri Schimke
    Roshan Dawrani

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected GroovyCodeSource` | `getScriptSource(boolean isScriptFile, String script)` Get a new GroovyCodeSource for a script which may be given as a location (isScript is true) or as text (isScript is false).
    `` | `String` | `getText(String uriOrFilename)` Get the text of the Groovy script at the given location.
    `` | `File` | `huntForTheScriptFile(String input)` Hunt for the script file by calling searchForGroovyScriptFile(String).
    `` | `static void` | `main(String[] args)` Main CLI interface.
    `` | `static File` | `searchForGroovyScriptFile(String input)` Search for the script file, doesn't bother if it is named precisely.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### protected GroovyCodeSource getScriptSource(boolean isScriptFile, String script)

      Get a new GroovyCodeSource for a script which may be given as a location (isScript is true) or as text (isScript is false).

      throws:
        IOException
      throws:
        URISyntaxException
      Returns:
        a new GroovyCodeSource for the given script
      Parameters:
        `isScriptFile` - indicates whether the script parameter is a location or content
        `script` - the location or context of the script
      Since:
        2.3.0

    - #### @Deprecated public String getText(String uriOrFilename)

      Get the text of the Groovy script at the given location. If the location is a file path and it does not exist as given, then GroovyMain.huntForTheScriptFile is called to try with some Groovy extensions appended. This method is not used to process scripts and is retained for backward compatibility. If you want to modify how GroovyMain processes scripts then use GroovyMain.getScriptSource.

      throws:
        IOException
      deprecated:
      Returns:
        the text content at the location
      Parameters:
        uriOrFilename

    - #### public File huntForTheScriptFile(String input)

      Hunt for the script file by calling searchForGroovyScriptFile(String).

      See Also:
        GroovyMain.searchForGroovyScriptFile

    - #### public static void main(String[] args)

      Main CLI interface.

      Parameters:
        `args` - all command line args.

    - #### public static File searchForGroovyScriptFile(String input)

      Search for the script file, doesn't bother if it is named precisely. Tries in this order: - actual supplied name - name.groovy - name.gvy - name.gy - name.gsh

      Since:
        2.3.0